#include <iostream>

using namespace std;

long long racunanje(long long niza[], long long nizb[], long long l, int n) {
    long long maxi, a = niza[l], b = nizb[l];
    maxi = a*b;
    for(int i = l+1; i < n; i++) {
        if(maxi == 0) return 0;
        a = (a^niza[i]);
        b = (b&nizb[i]);
        maxi = max(maxi, (a*b));
    }
    return maxi;
}


int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    long long r = 0;
    cin >> n;
    long long a[n], b[n];
    for(long long i = 0; i < n; i++) cin >> a[i];
    for(long long i = 0; i < n; i++) cin >> b[i];

    for(int i = 0; i < n; i++) {
        r = max(r, racunanje(a, b, i, n));
    }

    cout << r;

    return 0;
}